<?php

require_once("./vendor/armagetron-php-client.php");

function serverinfo_encode_utf8($info)
{
    $info->name = utf8_encode($info->name);
    $info->version = utf8_encode($info->version);
    
    for ($i = 0; $i < count($info->players); $i++)
        $info->players[$i] = utf8_encode($info->players[$i]);
    
    for ($i = 0; $i < count($info->global_ids); $i++)
        $info->global_ids[$i] = utf8_encode($info->global_ids[$i]);
    
    $info->options = utf8_encode($info->options);
    $info->uri = utf8_encode($info->uri);
}

function server_info()
{
    if (!isset($_GET["host"]) || !isset($_GET["port"]))
        throw new Exception("Need both host and port parameters");
        
    $host = $_GET["host"];
    $port = $_GET["port"];
    
    $info = new serverinfo($host, $port);
    
    
    // FIXME: throw this from serverinfo
    if ( $info->host_by_server === NULL )
        throw new Exception("Failed to get server info");
    
    serverinfo_encode_utf8($info);
    
    return $info;
}

try
{
    $info = server_info();
    echo json_encode($info);
}
catch (Exception $e)
{
    header("HTTP/1.1 400 Bad Request");
    echo "Error: " . $e->getMessage();
}

?>
