<?php

require_once("./vendor/armagetron-php-client.php");

function server_list_from_master()
{
    $masters = array(
        array("host" => "master2.armagetronad.net", "port" => 4533),
        array("host" => "master1.armagetronad.net", "port" => 4533),
        array("host" => "master3.armagetronad.net", "port" => 4533),
        array("host" => "master4.armagetronad.net", "port" => 4533)
    );
    
    if (isset($_GET["host"]) && isset($_GET["port"]))
    {
        $masters = array(
            array("host" => $_GET["host"], "port" => $_GET["port"])
        );
    }
    
    foreach ($masters as $master)
    {
        $servers = getMasterInfo($master["host"], $master["port"]);
        
        // FIXME: error checking in armagetron-php-client.php
        if (is_array($servers))
            return $servers;
    }
    
    throw new Exception("Couldn't get server list from a master server");
}

try
{
    $servers = server_list_from_master();
    echo json_encode($servers);
}
catch (Exception $e)
{
    header("HTTP/1.1 400 Bad Request");
    echo "Error: " . $e->getMessage();
}

?>
